Query collection of sales channels
GET https://{handle}.myshopline.com/admin/openapi/v20261201/collection_listings.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query Parameters
- limit integerLimit of query, default 50 , can not exceed 500Example:
50
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
collection_listingsobject[]
Collection listtitle stringCollection titleExample:This is a collection titlebannerobject
Collection banneralt stringImage altExample:This is a image altsrc stringImage srcExample:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngcreated_at stringCreation timeExample:2021-09-02T14:11:54+00:00updated_at stringUpdate timeExample:2021-09-03T14:11:54+00:00id stringCollection idExample:12248721639068681442230282imageobject
Collection imagesalt stringImage altExample:This is the image altsrc stringImage srcExample:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngpublished_at stringTime to post to the online storeExample:2021-09-03T14:11:54+00:00rulesobject[]
Smartly add conditionrelation stringThe if-else statement is equal to : equals , not equal to : not_equals , the beginning is : starts_with , the end is : ends_with , including : contains , not included : not_contains ,Greater than : greater_than , less than : less_thanExample:equalscolumn stringConditions variable , title : title , selling price : sale_price , original price : compared_at_price , tag : tag , inventory : inventory , supplier : vendor ,Weight : variant_weight , specification name : variant_title , created time : created_at , sales : sales , browsing : view , purchase : add_to_cart ,Custom type : type , standardized product type : product_taxonomy_node_id , field of origin : product_metafield_definitionExample:tagcondition stringConditionsExample:This is a tag condition valuecondition_object_id longThe ID of the metafield objectExample:483749285template_path stringTheme templateExample:templates/sortation/detail.jsonsort_order stringProduct name , sort by , hot sale : best-selling , product name from a-z : alpha-asc , product name from z-a : alpha-desc , new update time → old : updated-desc ,Update time old → new : updated-asc , custom : manualExample:updated-deschandle stringCollection HandleExample:This is a collection Handlepublished_scope stringSet the sales channel , when the value is " web " , it means online storesExample:webdisjunctive booleanThe relationship between the conditions of the intelligent collection box and the Product is fixed . true : Product meets any conditions and can be incorporated into this intelligent collection ; false : Product must meet all conditions and must be fully compliant to be incorporated into this intelligent collectionExample:truebody_html stringCollection descriptionExample:This is a collection descriptioncollection_type stringCollection type : custom- manual , smart- smartExample:smart
API Explorer
Debugger
Examples
Was this article helpful to you?